> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transfers

> Use the List Transfers endpoint to see and filter your past inbound and outbound Transfers.

**`v2`** · Base URL `https://api.fintoc.com/v2`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api-v2.json GET /transfers
openapi: 3.1.0
info:
  title: fintoc-api-v2
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v2
security:
  - sec0: []
paths:
  /transfers:
    get:
      summary: List Transfers
      description: >-
        Use the List Transfers endpoint to see and filter your past inbound and
        outbound Transfers.
      operationId: list-transfers
      parameters:
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          required: true
          schema:
            type: string
        - name: account_number_id
          in: query
          description: Filter transfers by a specific account number.
          schema:
            type: string
        - name: account_id
          in: query
          description: Filter transfers by a specific account.
          schema:
            type: string
        - name: direction
          in: query
          description: Filter transfers by direction.
          schema:
            type: string
            enum:
              - inbound
              - outbound
        - name: status
          in: query
          description: Filter transfers by status. Must be an array of statuses to keep.
          schema:
            type: array
            enum:
              - succeeded
              - pending
              - returned
              - rejected
              - return_pending
              - failed
            items:
              type: string
        - name: since
          in: query
          description: >-
            Date using <<glossary:ISO 8601>>. If present, return only Transfers
            with date equal or after `since`.
          schema:
            type: string
        - name: until
          in: query
          description: >-
            Date using <<glossary:ISO 8601>>. If present, return only Transfers
            with date equal or before `until`.
          schema:
            type: string
        - name: starting_after
          in: query
          description: >-
            A cursor to use in pagination. `starting_after` is a transfer ID
            that defines your place in the list. For example, if you make a list
            request and receive 300 transfers, ending with `tr_foo`, your
            subsequent call can include `starting_after=tr_foo` to fetch the
            next page of the list.
          schema:
            type: string
        - name: ending_before
          in: query
          description: >-
            A cursor to use in pagination. `ending_before` is a transfer ID that
            defines your place in the list. For example, if you make a list
            request and receive 300 transfers, starting with `tr_bar`, your
            subsequent call can include `ending_before=tr_bar` to fetch the
            previous page of the list.
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            limit on the number of objects to return per page, ranging between 1
            and 300.
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |
                    [
                      {
                        "id": "tr_jKaHD105H",
                        "object": "transfer",
                        "amount": 2864,
                        "post_date": "2020-04-17T00:00:00.000Z",
                        "transaction_date": "2020-04-17T00:00:00.000Z",
                        "currency": "mxn",
                        "comment": "Pago lbel",
                        "reference_id": "130824",
                        "receipt_url": "https://www.banxico.org.mx/cep/",
                        "tracking_key": "s2123423423324334",
                        "account_number": {
                          "id": "acno_Kasf91034gj1AD",
                          "object": "account_number",
                          "account_number": "738969123456789120",
                          "created_at": "2024-03-01T20:09:42.949787176Z",
                          "mode": "test",
                          "metadata": {
                            "id_cliente": "12343212"
                          }
                        },
                        "counterparty": {
                          "holder_id": "OODC911119JL3",
                          "holder_name": "Carmen Marcela",
                          "account_number": "738969123456789120",
                          "type": "40",
                          "institution": {
                            "id": "4002",
                            "name": "Blah",
                            "country": "mx"
                          }
                        }
                      }
                    ]
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      example: tr_jKaHD105H
                    object:
                      type: string
                      example: transfer
                    amount:
                      type: integer
                      example: 2864
                      default: 0
                    post_date:
                      type: string
                      example: '2020-04-17T00:00:00.000Z'
                    transaction_date:
                      type: string
                      example: '2020-04-17T00:00:00.000Z'
                    currency:
                      type: string
                      example: mxn
                    comment:
                      type: string
                      example: Pago lbel
                    reference_id:
                      type: string
                      example: '130824'
                    receipt_url:
                      type: string
                      example: https://www.banxico.org.mx/cep/
                    tracking_key:
                      type: string
                      example: s2123423423324334
                    account_number:
                      type: object
                      properties:
                        id:
                          type: string
                          example: acno_Kasf91034gj1AD
                        object:
                          type: string
                          example: account_number
                        account_number:
                          type: string
                          example: '738969123456789120'
                        created_at:
                          type: string
                          example: '2024-03-01T20:09:42.949787176Z'
                        mode:
                          type: string
                          example: test
                        metadata:
                          type: object
                          properties:
                            id_cliente:
                              type: string
                              example: '12343212'
                    counterparty:
                      type: object
                      properties:
                        holder_id:
                          type: string
                          example: OODC911119JL3
                        holder_name:
                          type: string
                          example: Carmen Marcela
                        account_number:
                          type: string
                          example: '738969123456789120'
                        type:
                          type: string
                          example: '40'
                        institution:
                          type: object
                          properties:
                            id:
                              type: string
                              example: '4002'
                            name:
                              type: string
                              example: Blah
                            country:
                              type: string
                              example: mx
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization

````